package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.entity.MenuBanner;
import com.caliverse.admin.domain.request.MenuRequest;
import com.caliverse.admin.dynamodb.domain.atrrib.BannerAttrib;
import com.caliverse.admin.dynamodb.domain.doc.BannerDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface BannerRepository extends DynamoDBRepository<BannerDoc> {
    BannerAttrib findBannerAttrib(Integer bannerId);
    void insertBanner(MenuBanner banner);
    void updateBanner(MenuBanner banner);
    DynamodbOperationResult deleteBanner(Integer bannerId);
}
